Subject: RE: about draft-martini-frame-encap-mpls-00.txt

From: George Wilkie <[email-masked]>
Date: Wed, 17 Apr 2002 14:19:41 +0100 (BST)

On Wed, 17 Apr 2002, Claude Kawa wrote:

>
> With fragmentation done at the PE we have a general PE capability to support
> various types of frame relay devices (including existing devices) behind a
> PE without constraining them to support and additional frame relay feature
> such as FRF.12 for fragmentation; not every frame relay user or network
> device supports per FRF.12.

I think Mark was suggesting that the PE do the fragmentation using pure
FRF.12 procedures in the "NSP" function from the architecture doc, i.e.
just in front of the pseudo-wire.
Agree we cannot force the CEs to do FRF.12.

It sounds like you are also advocating FRF.12 procedures, except using the
PW header in place of the FRF.12 fragmentation header.

Why do you want to re-init the sequence numbers for every packet being
fragmented? FRF.12 keeps the sequence numbers running.

Cheers.

>
> claude
>
> -----Original Message-----
> From: Andrew G. Malis [mailto:[email-masked]]
> Sent: Wednesday, April 17, 2002 8:35 AM
> To: W. Mark Townsley
> Cc: Andrew G. Malis; [email-masked]; Kawa, Claude [CAR:CS49:EXCH]
> Subject: Re: [PWE3] about draft-martini-frame-encap-mpls-00.txt
>
>
> Mark,
>
> It could be, but it depends on what you're connecting.  If you're
> presenting a UNI interface, then FRF.12 may be available in the
> DTE.  FRF.12 would typically not be available on a NNI interface.  Also
> note that the fragmentation in kamapabhava is the same as that used by
> FRF.12, so it's really not something that was invented for this
> purpose.  It's also very efficient, just using two otherwise unused bits in
> the header.
>
> Cheers,
> Andy
>
> ---------
>
> At 4/17/2002 02:10 PM +0200, W. Mark Townsley wrote:
>
>
> >"Andrew G. Malis" wrote:
> > >
> > > As a co-author on both drafts (even if Luca did remove my name by
> mistake
> > > :-), I would also like to second Claude's
> > > message.  draft-kamapabhava-fr-pwe3-01 is a superset of
> > > draft-martini-frame-encap-mpls-00, and the two interoperate.  The major
> > > difference is the kamapabhava also contains some new optional
> capabilities,
> > > such as fragmentation and port mode.
> >
> >Andy, I thought you agreed that fragmentation could be handled for FR in
> >the NSP
> >using existing FR SAR methods, rather than inventing a new FR-PW-specific
> >method
> >as described in this draft.
> >
> > >
> > > Thanks,
> > > Andy
> > >
> > > -------
> > >
> > > At 4/16/2002 08:47 PM -0400, Claude Kawa wrote:
> > >
> > > >draft-martini-frame-encap-mpls-00.txt is contained in
> > > >draft-kamapabhava-fr-pwe3.01 which was revised by taking into account
> the
> > > >comments made during the last few month on the initial version of the
> > draft.
> > > >
> > > >I would like to suggest that we focus on draft-kamapabhava-fr-pwe3.01
> to
> > > >improve it and to address what is missing or need to change so that we
> can
> > > >produce a new more complete version, hopefully a Working Group draft,
> > > >before the next IETF meeting.
> > > >
> > > >Can we have agreement on this suggestion?
> > > >
> > > >Claude Kawa
> > >
> > > _______________________________________________
> > > pwe3 mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/pwe3
>
>

---

From: "W. Mark Townsley" <[email-masked]>
Date: Wed, 17 Apr 2002 15:19:11 +0200

Whether or not to perform fragmentation at the PE is another topic. I am saying
that IF you MUST perform fragmentation at the PE, use the FR methods already
defined before entering the PW. The fragmentation I am talking about is still
taking place within the PE, just with FR defined methods rather than PW-adopted
methods from FR.

- Mark

> Claude Kawa wrote:
> various types of frame relay devices (including existing devices) behind a PE
> without constraining them to support and additional frame relay feature such
> as FRF.12 for fragmentation; not every frame relay user or network device
> supports per FRF.12.
> 
> claude
> 
> > > As a co-author on both drafts (even if Luca did remove my name by mistake
> > > >draft-kamapabhava-fr-pwe3.01 which was revised by taking into account the
> 
> > > >I would like to suggest that we focus on draft-kamapabhava-fr-pwe3.01 to